/* Responsive Design for Tablets & Small Screens */
@media screen and (max-width: 768px) {
    .container {
        flex-direction: column;
        height: auto;
        align-items: center;
    }

    .game {
        height: 80vmin;
        width: 80vmin;
        gap: 2vmin;
    }

    .box {
        height: 22vmin;
        width: 22vmin;
        font-size: 10vmin;
    }

    .panel {
        height: auto;
        width: 80%;
        margin: 1rem;
        padding: 1rem;
    }

    .winCount {
        width: 70%;
        height: auto;
        padding: 0.5rem;
    }

    .winCount1{
        width: 80%;
    }

    #player1, #player2 {
        font-size: 10vmin;
    }

    .buttons {
        margin-top: 6rem;
        flex-direction: row;
        gap: 1rem;
    }

    #reset, #newGame {
        width: 80%;
    }
}

/* Extra Small Screens (Phones) */
@media screen and (max-width: 480px) {
    .game {
        height: 90vmin;
        width: 90vmin;
        gap: 3vmin;
    }

    .box {
        height: 25vmin;
        width: 25vmin;
        font-size: 12vmin;
    }

    .panel {
        width: 85%;
        padding-bottom: 2.5rem;
    }

    .buttons {
        gap: 1rem;
        flex-direction: row;
    }

    #reset, #newGame {
        margin-top: 4rem;
        width: 50%;
        font-size: 1rem;
    }

    #player1, #player2 {
        margin-top: 1.5rem;
        font-size: 8vmin;
    }
}
